package com.simuwang.shiro.core;

import org.apache.shiro.authc.UsernamePasswordToken;

public class ShiroToken extends UsernamePasswordToken {
    private String tokenType;

    private String quickPassword;

    public ShiroToken(String tokenType, String username,String password) {
        super(username,password);
        this.tokenType = tokenType;
    }

    public ShiroToken(String tokenType, String username,String password,String quickPassword) {
        super(username,password);
        this.tokenType = tokenType;
        this.quickPassword = quickPassword;
    }

    public String getTokenType() {
        return tokenType;
    }

    public void setTokenType(String tokenType) {
        this.tokenType = tokenType;
    }

    public String getQuickPassword() {
        return quickPassword;
    }

    public void setQuickPassword(String quickPassword) {
        this.quickPassword = quickPassword;
    }
}
